#!/bin/bash

#cd src/
cd tests/
TARGET='../latex_compiler.tex'

echo "" > $TARGET

declare -a FILES
#FILES=("gmm.ml" "scanner.mll" "ast.ml" "parser.mly" "sast.ml" "semant.ml" "codegen.ml" "builtins.c")
FILES=("*")

echo '\documentclass{article} 
\usepackage{listings}
\usepackage[utf8]{inputenc}
\setcounter{section}{9}
\begin{document}

\setcounter{page}{122}
\setcounter{subsection}{1}
\subsection{Test Files}' >> $TARGET




for f in ${FILES[@]}
do
   echo $f
   echo '\subsubsection{'"$f"'}' >> $TARGET
   if [ ${f: -5} == ".gmm" ]
   then
    echo '\begin{lstlisting}[breaklines=true]'  >> $TARGET
    cat $f >> $TARGET
   else
    echo '\begin{lstlisting}[breaklines=true]'  >> $TARGET
    cat $f >> $TARGET
   fi
   echo '\end{lstlisting}' >> $TARGET
done

echo '\end{document}' >> $TARGET